'\n    enable:Banking SDK\n\n    enable:Banking SDK consists of 4 interfaces:  - [Meta](#auth-api) provides information about available connectors; - [Auth](#auth-api) provides PSU (bank user) authentication and token creation   functionality; - [AISP](#aisp-api) provides functions for accessing account information, such as   transactions and balances, on behalf of a PSU; - [PISP](#pisp-api) provides functions for initiating and conforming payment   requests.  The same calls and data structures are used for interacting with different ASPSPs (banks). In order to use each of the interfaces corresponding instance needs to be created. When instantiating any of the interfaces except Meta, ASPSP connector name and settings need to be supplied. The settings differ from one connector to another (although many of them have the same properties) and are described in the [Connectors](#connectors-types) section of the documentation.  enable:Banking SDK interfaces are based on [STET PSD2 specification](https://www.stet.eu/en/psd2/), but have been modified and extended in order to support usage scenarious beyond the original specification.   # noqa: E501\n\n    API version: 0.5.0\n    Contact: hello@enablebanking.com\n    Generated by enable:Banking SDK generator using Swagger Codegen project\n'
_j='AktiaConnectorSettings'
_i='SBABConnectorSettings'
_h='PekaoConnectorSettings'
_g='DanskeBankConnectorSettings'
_f='POPPankkiConnectorSettings'
_e='CoopPankConnectorSettings'
_d='SPankkiConnectorSettings'
_c='HandelsbankenConnectorSettings'
_b='SEBConnectorSettings'
_a='LHVConnectorSettings'
_Z='ResursConnectorSettings'
_Y='KIRConnectorSettings'
_X='OPConnectorSettings'
_W='INGPolandConnectorSettings'
_V='ICABankenConnectorSettings'
_U='PrivatBankConnectorSettings'
_T='SaastopankkiConnectorSettings'
_S='SignetBankConnectorSettings'
_R='OmaSpConnectorSettings'
_Q='SwedbankConnectorSettings'
_P='BNPParibasPolandConnectorSettings'
_O='NordeaConnectorSettings'
_N='PKOConnectorSettings'
_M='MeridianBankConnectorSettings'
_L='YaConnectorSettings'
_K='KomplettConnectorSettings'
_J='SEBSwedenConnectorSettings'
_I='AliorConnectorSettings'
_H='AlandsbankenConnectorSettings'
_G='redirect_uri'
_F='access_token'
_E='consent_id'
_D='sandbox'
_C='str'
_B='connector'
_A=None
import pprint,re
class ConnectorSettings:
	'NOTE: This class is auto generated by the swagger code generator program.\n\n    Do not edit the class manually.\n    ';'\n    Attributes:\n      swagger_types (dict): The key is attribute name\n                            and the value is attribute type.\n      attribute_map (dict): The key is attribute name\n                            and the value is json key in definition.\n    ';swagger_types={_D:'bool',_E:_C,_F:_C,_G:_C,_B:_C};attribute_map={_D:_D,_E:'consentId',_F:'accessToken',_G:'redirectUri',_B:_B};discriminator_value_class_map={_H:_H,_I:_I,_J:_J,_K:_K,_L:_L,_M:_M,_N:_N,_O:_O,_P:_P,_Q:_Q,_R:_R,_S:_S,_T:_T,_U:_U,_V:_V,_W:_W,_X:_X,_Y:_Y,_Z:_Z,_a:_a,_b:_b,_c:_c,_d:_d,_e:_e,_f:_f,_g:_g,_h:_h,_i:_i,_j:_j}
	def __init__(A,sandbox=_A,consent_id=_A,access_token=_A,redirect_uri=_A,connector=_A):'ConnectorSettings - a model defined in Swagger';A._sandbox=_A;A._consent_id=_A;A._access_token=_A;A._redirect_uri=_A;A._connector=_A;A.discriminator=_B;A.sandbox=sandbox;A.consent_id=consent_id;A.access_token=access_token;A.redirect_uri=redirect_uri;A.connector=connector
	@property
	def sandbox(self):'Gets the sandbox of this ConnectorSettings.  # noqa: E501\n\n        Defines whether connect to sandbox or production APIs  # noqa: E501\n\n        :return: The sandbox of this ConnectorSettings.  # noqa: E501\n        :rtype: bool\n        ';return self._sandbox
	@sandbox.setter
	def sandbox(self,sandbox):
		'Sets the sandbox of this ConnectorSettings.\n\n        Defines whether connect to sandbox or production APIs  # noqa: E501\n\n        :param sandbox: The sandbox of this ConnectorSettings.  # noqa: E501\n        :type: bool\n        ';A=sandbox
		if A is _A:raise ValueError('Invalid value for `sandbox`, must not be `None`')
		self._sandbox=A
	@property
	def consent_id(self):'Gets the consent_id of this ConnectorSettings.  # noqa: E501\n\n        User consent identifier  # noqa: E501\n\n        :return: The consent_id of this ConnectorSettings.  # noqa: E501\n        :rtype: str\n        ';return self._consent_id
	@consent_id.setter
	def consent_id(self,consent_id):
		'Sets the consent_id of this ConnectorSettings.\n\n        User consent identifier  # noqa: E501\n\n        :param consent_id: The consent_id of this ConnectorSettings.  # noqa: E501\n        :type: str\n        ';A=consent_id
		if A is _A:raise ValueError('Invalid value for `consent_id`, must not be `None`')
		self._consent_id=A
	@property
	def access_token(self):'Gets the access_token of this ConnectorSettings.  # noqa: E501\n\n        User access token  # noqa: E501\n\n        :return: The access_token of this ConnectorSettings.  # noqa: E501\n        :rtype: str\n        ';return self._access_token
	@access_token.setter
	def access_token(self,access_token):
		'Sets the access_token of this ConnectorSettings.\n\n        User access token  # noqa: E501\n\n        :param access_token: The access_token of this ConnectorSettings.  # noqa: E501\n        :type: str\n        ';A=access_token
		if A is _A:raise ValueError('Invalid value for `access_token`, must not be `None`')
		self._access_token=A
	@property
	def redirect_uri(self):'Gets the redirect_uri of this ConnectorSettings.  # noqa: E501\n\n        URI where clients are redirected to after giving consent.  # noqa: E501\n\n        :return: The redirect_uri of this ConnectorSettings.  # noqa: E501\n        :rtype: str\n        ';return self._redirect_uri
	@redirect_uri.setter
	def redirect_uri(self,redirect_uri):
		'Sets the redirect_uri of this ConnectorSettings.\n\n        URI where clients are redirected to after giving consent.  # noqa: E501\n\n        :param redirect_uri: The redirect_uri of this ConnectorSettings.  # noqa: E501\n        :type: str\n        ';A=redirect_uri
		if A is _A:raise ValueError('Invalid value for `redirect_uri`, must not be `None`')
		self._redirect_uri=A
	@property
	def connector(self):'Gets the connector of this ConnectorSettings.  # noqa: E501\n\n        Connector identifier (discriminator)  # noqa: E501\n\n        :return: The connector of this ConnectorSettings.  # noqa: E501\n        :rtype: str\n        ';return self._connector
	@connector.setter
	def connector(self,connector):
		'Sets the connector of this ConnectorSettings.\n\n        Connector identifier (discriminator)  # noqa: E501\n\n        :param connector: The connector of this ConnectorSettings.  # noqa: E501\n        :type: str\n        ';A=connector
		if A is _A:raise ValueError('Invalid value for `connector`, must not be `None`')
		self._connector=A
	def get_real_child_model(A,data):'Returns the real base class specified by the discriminator';B=data[A.discriminator].lower();return A.discriminator_value_class_map.get(B)
	def to_dict(D):
		'Returns the model properties as a dict';E='to_dict';B={}
		for (C,G) in D.swagger_types.items():
			A=getattr(D,C)
			if isinstance(A,list):B[C]=list(map(lambda x:x.to_dict()if hasattr(x,E)else x,A))
			elif hasattr(A,E):B[C]=A.to_dict()
			elif isinstance(A,dict):B[C]=dict(map(lambda item:(item[0],item[1].to_dict())if hasattr(item[1],E)else item,A.items()))
			else:B[C]=A
		if issubclass(ConnectorSettings,dict):
			for (F,A) in D.items():B[F]=A
		return B
	def to_str(A):'Returns the string representation of the model';return pprint.pformat(A.to_dict())
	def __repr__(A):'For `print` and `pprint`';return A.to_str()
	def __eq__(B,other):
		'Returns true if both objects are equal';A=other
		if not isinstance(A,ConnectorSettings):return False
		return B.__dict__==A.__dict__
	def __ne__(A,other):'Returns true if both objects are not equal';return not A==other