'\n    enable:Banking SDK\n\n    enable:Banking SDK consists of 4 interfaces:  - [Meta](#auth-api) provides information about available connectors; - [Auth](#auth-api) provides PSU (bank user) authentication and token creation   functionality; - [AISP](#aisp-api) provides functions for accessing account information, such as   transactions and balances, on behalf of a PSU; - [PISP](#pisp-api) provides functions for initiating and conforming payment   requests.  The same calls and data structures are used for interacting with different ASPSPs (banks). In order to use each of the interfaces corresponding instance needs to be created. When instantiating any of the interfaces except Meta, ASPSP connector name and settings need to be supplied. The settings differ from one connector to another (although many of them have the same properties) and are described in the [Connectors](#connectors-types) section of the documentation.  enable:Banking SDK interfaces are based on [STET PSD2 specification](https://www.stet.eu/en/psd2/), but have been modified and extended in order to support usage scenarious beyond the original specification.   # noqa: E501\n\n    API version: 0.5.0\n    Contact: hello@enablebanking.com\n    Generated by enable:Banking SDK generator using Swagger Codegen project\n'
_D='links'
_C='connected_psu'
_B='accounts'
_A=None
import pprint,re
from enablebanking.models.account_resource import AccountResource
from enablebanking.models.accounts_links import AccountsLinks
class HalAccounts:
	'NOTE: This class is auto generated by the swagger code generator program.\n\n    Do not edit the class manually.\n    ';'\n    Attributes:\n      swagger_types (dict): The key is attribute name\n                            and the value is attribute type.\n      attribute_map (dict): The key is attribute name\n                            and the value is json key in definition.\n    ';swagger_types={_C:'str',_B:'list[AccountResource]',_D:'AccountsLinks'};attribute_map={_C:'connectedPsu',_B:_B,_D:'_links'}
	def __init__(A,connected_psu=_A,accounts=_A,links=_A):
		'HalAccounts - a model defined in Swagger';B=connected_psu;A._connected_psu=_A;A._accounts=_A;A._links=_A;A.discriminator=_A
		if B is not _A:A.connected_psu=B
		A.accounts=accounts;A.links=links
	@property
	def connected_psu(self):"Gets the connected_psu of this HalAccounts.  # noqa: E501\n\n        Last name and first name that has granted access to the AISP on the accounts data This information can be retrieved based on the PSU's authentication that occurred during the OAUTH2 access token initialisation.   # noqa: E501\n\n        :return: The connected_psu of this HalAccounts.  # noqa: E501\n        :rtype: str\n        ";return self._connected_psu
	@connected_psu.setter
	def connected_psu(self,connected_psu):
		"Sets the connected_psu of this HalAccounts.\n\n        Last name and first name that has granted access to the AISP on the accounts data This information can be retrieved based on the PSU's authentication that occurred during the OAUTH2 access token initialisation.   # noqa: E501\n\n        :param connected_psu: The connected_psu of this HalAccounts.  # noqa: E501\n        :type: str\n        ";A=connected_psu
		if A is not _A and len(A)>70:raise ValueError('Invalid value for `connected_psu`, length must be less than or equal to `70`')
		self._connected_psu=A
	@property
	def accounts(self):'Gets the accounts of this HalAccounts.  # noqa: E501\n\n        List of PSU account that are made available to the TPP   # noqa: E501\n\n        :return: The accounts of this HalAccounts.  # noqa: E501\n        :rtype: list[AccountResource]\n        ';return self._accounts
	@accounts.setter
	def accounts(self,accounts):
		'Sets the accounts of this HalAccounts.\n\n        List of PSU account that are made available to the TPP   # noqa: E501\n\n        :param accounts: The accounts of this HalAccounts.  # noqa: E501\n        :type: list[AccountResource]\n        ';A=accounts
		if A is _A:raise ValueError('Invalid value for `accounts`, must not be `None`')
		self._accounts=A
	@property
	def links(self):'Gets the links of this HalAccounts.  # noqa: E501\n\n\n        :return: The links of this HalAccounts.  # noqa: E501\n        :rtype: AccountsLinks\n        ';return self._links
	@links.setter
	def links(self,links):
		'Sets the links of this HalAccounts.\n\n\n        :param links: The links of this HalAccounts.  # noqa: E501\n        :type: AccountsLinks\n        ';A=links
		if A is _A:raise ValueError('Invalid value for `links`, must not be `None`')
		self._links=A
	def to_dict(D):
		'Returns the model properties as a dict';E='to_dict';B={}
		for (C,G) in D.swagger_types.items():
			A=getattr(D,C)
			if isinstance(A,list):B[C]=list(map(lambda x:x.to_dict()if hasattr(x,E)else x,A))
			elif hasattr(A,E):B[C]=A.to_dict()
			elif isinstance(A,dict):B[C]=dict(map(lambda item:(item[0],item[1].to_dict())if hasattr(item[1],E)else item,A.items()))
			else:B[C]=A
		if issubclass(HalAccounts,dict):
			for (F,A) in D.items():B[F]=A
		return B
	def to_str(A):'Returns the string representation of the model';return pprint.pformat(A.to_dict())
	def __repr__(A):'For `print` and `pprint`';return A.to_str()
	def __eq__(B,other):
		'Returns true if both objects are equal';A=other
		if not isinstance(A,HalAccounts):return False
		return B.__dict__==A.__dict__
	def __ne__(A,other):'Returns true if both objects are not equal';return not A==other